# ShopUpdateEvent.UpdateQuality (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.event

## Enum ShopUpdateEvent.UpdateQuality

- java.lang.Object
- - java.lang.Enum<ShopUpdateEvent.UpdateQuality>
  - - de.epiceric.shopchest.event.ShopUpdateEvent.UpdateQuality

All Implemented Interfaces:
  Serializable, Comparable<ShopUpdateEvent.UpdateQuality>

Enclosing class:
  ShopUpdateEvent

    public static enum ShopUpdateEvent.UpdateQuality
    extends Enum<ShopUpdateEvent.UpdateQuality>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FAST`
`FASTER`
`FASTEST`
`NORMAL`
`SLOW`
`SLOWER`
`SLOWEST`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `getTime()`
`static ShopUpdateEvent.UpdateQuality` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ShopUpdateEvent.UpdateQuality[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SLOWEST

    public static final ShopUpdateEvent.UpdateQuality SLOWEST

#### SLOWER

    public static final ShopUpdateEvent.UpdateQuality SLOWER

#### SLOW

    public static final ShopUpdateEvent.UpdateQuality SLOW

#### NORMAL

    public static final ShopUpdateEvent.UpdateQuality NORMAL

#### FAST

    public static final ShopUpdateEvent.UpdateQuality FAST

#### FASTER

    public static final ShopUpdateEvent.UpdateQuality FASTER

#### FASTEST

    public static final ShopUpdateEvent.UpdateQuality FASTEST

### Method Detail

#### values

    public static ShopUpdateEvent.UpdateQuality[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShopUpdateEvent.UpdateQuality c : ShopUpdateEvent.UpdateQuality.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShopUpdateEvent.UpdateQuality valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getTime

    public long getTime()